plugins {
    id 'java'
    id 'maven'
}

group 'me.loganb1max'
version '1.0-SNAPSHOT'

sourceCompatibility = 1.8
targetCompatibility = 1.8

tasks.withType(JavaCompile) {
    options.encoding = 'UTF-8'
}

repositories {
    mavenCentral()
    mavenLocal()
    maven { url 'https://hub.spigotmc.org/nexus/content/groups/public/' }
    maven { url 'https://oss.sonatype.org/content/groups/public/' }
    maven { url 'https://jitpack.io' }
    maven { url 'https://ci.ender.zone/plugin/repository/everything/' }
    maven { url 'https://papermc.io/repo/repository/maven-public/' }
}

dependencies {
    compileOnly(files('libs/paper-server-1.8.8-R0.1.jar'))
    compile('org.projectlombok:lombok:1.16.20')
    annotationProcessor('org.projectlombok:lombok:1.16.20')
    compileOnly('com.github.MilkBowl:VaultAPI:1.7') {
        exclude group: 'org.bukkit'
        exclude group: 'org.spigot'
    }
    compileOnly('net.ess3:EssentialsX:2.17.0')
}

clean {
    delete(file('target'))
}

jar {
    archiveName('MinionsPlus.jar')
    destinationDir(file('target'))
}